// angular
import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';

// libs
import { Observable } from 'rxjs';

// app
import { ApiRoutes } from '../api-routes';
import { AccountCategoryModel } from '../model/account.category.model';

@Injectable()
export class AccountService {
	private types = new Map<string, string>();

	constructor(
		private httpClient: HttpClient,
	) {
		this.types.set('balance', 'Account with balance');
		this.types.set('credit', 'Account with loan funds');
		this.types.set('external', 'External account');
		this.types.set('other', 'Other account');
	}

	public getTypes(): Map<string, string> {
		return this.types;
	}
}
